Bug 758646

Summary: Xend fails to start with NVidia NV44 GeForce 6200 card
Product: [Fedora] Fedora Reporter: Volnei <vcputtini>
Component: xenAssignee: Michael Young <m.a.young>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 16CC: berrange, crobinso, jforbes, ketuzsezr, kraxel, m.a.young, virt-maint, xen-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 767742 (view as bug list) Environment:
Last Closed: 2013-02-11 16:40:00 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Volnei 2011-11-30 05:44:33 EST
Description of problem:
I installed F16 x86_64 with Xen and I'm trying to boot via
Xen 4.1.2. Apparently the boot occurs normalmene but eventually
the system stops loading.

The only message that I have about the problem is the xend.log, shown below.

I really do not know what that means.

Note: I'm using qemu + kvm without any problems.

Thank you.

Version-Release number of selected component (if applicable):
xen-licenses-4.1.2-1.fc16.x86_64
xenserverjava-javadoc-5.6.100.1-1.fc16.noarch
netxen-firmware-4.0.534-4.fc15.noarch
xen-4.1.2-1.fc16.x86_64
xen-devel-4.1.2-1.fc16.x86_64
xen-libs-4.1.2-1.fc16.x86_64
xen-runtime-4.1.2-1.fc16.x86_64
xenserverjava-5.6.100.1-1.fc16.noarch
xen-hypervisor-4.1.2-1.fc16.x86_64
xen-doc-4.1.2-1.fc16.x86_64
kernel-3.1.2-1.fc16.x86_64
abrt-addon-kerneloops-2.0.6-1.fc16.x86_64
kernel-headers-3.1.2-1.fc16.x86_64
libreport-plugin-kerneloops-2.0.7-1.fc16.x86_64
kernel-3.1.1-2.fc16.x86_64
kernel-devel-3.1.2-1.fc16.x86_64


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
[2011-11-29 17:10:03 1105] INFO (SrvDaemon:339) Xend Daemon started
[2011-11-29 17:10:03 1105] INFO (SrvDaemon:343) Xend changeset: unavailable.
[2011-11-29 17:10:03 1105] ERROR (SrvDaemon:356) Exception starting xend (no element found: line 1, column 0)
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/xen/xend/server/SrvDaemon.py", line 348, in run
    servers = SrvServer.create()
  File "/usr/lib64/python2.7/site-packages/xen/xend/server/SrvServer.py", line 258, in create
    root.putChild('xend', SrvRoot())
  File "/usr/lib64/python2.7/site-packages/xen/xend/server/SrvRoot.py", line 40, in __init__
    self.get(name)
  File "/usr/lib64/python2.7/site-packages/xen/web/SrvDir.py", line 84, in get
    val = val.getobj()
  File "/usr/lib64/python2.7/site-packages/xen/web/SrvDir.py", line 52, in getobj
    self.obj = klassobj()
  File "/usr/lib64/python2.7/site-packages/xen/xend/server/SrvNode.py", line 30, in __init__
    self.xn = XendNode.instance()
  File "/usr/lib64/python2.7/site-packages/xen/xend/XendNode.py", line 1181, in instance
    inst = XendNode()
  File "/usr/lib64/python2.7/site-packages/xen/xend/XendNode.py", line 71, in __init__
    saved_host = self.state_store.load_state('host')
  File "/usr/lib64/python2.7/site-packages/xen/xend/XendStateStore.py", line 104, in load_state
    dom = minidom.parse(xml_path)
  File "/usr/lib64/python2.7/site-packages/_xmlplus/dom/minidom.py", line 1915, in parse
    return expatbuilder.parse(file)
  File "/usr/lib64/python2.7/site-packages/_xmlplus/dom/expatbuilder.py", line 926, in parse
    result = builder.parseFile(fp)
  File "/usr/lib64/python2.7/site-packages/_xmlplus/dom/expatbuilder.py", line 211, in parseFile
    parser.Parse("", True)
ExpatError: no element found: line 1, column 0

Expected results:


Additional info:
Comment 1 Volnei 2011-12-15 05:52:52 EST
I found the origin of problem: The interface NVidia NV44 GeForce 6200 (NX6200TC).
Xen won't start if this interface is installed. 
Removing it of system the Xen is booting normally.


Xen packets installed

xen-runtime-4.1.2-2.fc16.x86_64
netxen-firmware-4.0.534-4.fc15.noarch
xen-hypervisor-4.1.2-2.fc16.x86_64
xen-libs-4.1.2-2.fc16.x86_64
xen-4.1.2-2.fc16.x86_64
xen-licenses-4.1.2-2.fc16.x86_64

Kernel: kernel-3.1.5-1.fc16.x86_64

Thanks
Comment 2 Konrad Rzeszutek Wilk 2011-12-15 14:46:46 EST
OK.. I thought it would be this one: http://bugzilla.xen.org/bugzilla/show_bug.cgi?id=1680

which I think MA Young has already put in the xen package?
Comment 3 Michael Young 2012-01-03 17:43:37 EST
This looks similar (though not identical) to Bug 767742 .
Comment 4 Konrad Rzeszutek Wilk 2012-03-23 17:13:16 EDT
Volnei, could you confirm whether the latest Xen has this issue?
Comment 5 Volnei 2012-03-26 07:05:59 EDT
Hi,

Up to when I had the that interface installed on my machine the problem always did.

Then I removed the interface, and never more I used.
Comment 6 Fedora Admin XMLRPC Client 2012-05-15 15:38:03 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2013-01-16 10:09:02 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Cole Robinson 2013-02-11 16:40:00 EST
Sounds like this should have been fixed, closing as CURRENTRELEASE